package com.fun.funnyprank.data;

import androidx.room.Database;
import androidx.room.Room;
import androidx.room.RoomDatabase;

import com.fun.funnyprank.FunnyPrankSkin;

@Database(entities = {LikeData.class}, version = FunnyPrankSkin.DB_Version,exportSchema = false)
public abstract class MydataBase extends RoomDatabase {
    public abstract LikeDAO likeDao();

    private static MydataBase INSTANCE;

    public static MydataBase getInstance() {
        if (INSTANCE == null) {
            synchronized (MydataBase.class) {
                if (INSTANCE == null) {
                    INSTANCE = Room.databaseBuilder(FunnyPrankSkin.getAppContext(), MydataBase.class, FunnyPrankSkin.DB_Name).build();
                }
            }
        }
        return INSTANCE;
    }


}
